Update a specific Value Criteria Definition
patch
/hcmRestApi/resources/11.13.18.05/payLocalizationCriteriaDefinitions/{payLocalizationCriteriaDefinitionsUniqID}
Request
Path Parameters
-
payLocalizationCriteriaDefinitionsUniqID(required): string
This is the hash key of the attributes which make up the composite key--- ValueDefnId, EffectiveStartDate and EffectiveEndDate ---for the Value Defined by Criteria Definition Root resource and used to uniquely identify an instance of Value Defined by Criteria Definition Root. The client should not generate the hash key value. Instead, the client should query on the Value Defined by Criteria Definition Root collection resource with a filter on the primary key values in order to navigate to a specific instance of Value Defined by Criteria Definition Root.
For example: payLocalizationCriteriaDefinitions?q=ValueDefnId=<value1>;EffectiveStartDate=<value2>;EffectiveEndDate=<value3>
Header Parameters
-
Effective-Of: string
This header accepts a string value. The string is a semi-colon separated list of
= . It is used to perform effective date range operations. The accepted parameters are RangeMode, RangeSpan, RangeStartDate, RangeEndDate, RangeStartSequence and RangeEndSequence. The parameter values are always strings. The possible values for RangeMode are SET_LOGICAL_START, SET_LOGICAL_END, END_DATE, SET_EFFECTIVE_START, SET_EFFECTIVE_END, REPLACE_CORRECTION, REPLACE_UPDATE, RECONCILE_CORRECTION, CORRECTION, RECONCILE_UPDATE, UPDATE, ZAP and DELETE_CHANGES. The possible values for RangeSpan are PHYSICAL_ROW_END_DATE and LOGICAL_ROW_END_DATE. The values for RangeStartDate and RangeEndDate have to be a string representation of a date in yyyy-MM-dd format. The value for RangeStartSequence and RangeEndSequence must be strings such that when parsed they yield positive integers. -
Metadata-Context: string
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version: string
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Supported Media Types
- application/json
Root Schema : schema
Type:
Show Source
object-
BaseName: string
Maximum Length:
120Base name of the value criteria definition. -
CalculationTypeId: integer
(int64)
Calculation type identifier for the value criteria definition.
-
EffectiveEndDate: string
(date)
Effective end date of the value criteria definition.
-
EffectiveStartDate: string
(date)
Effective start date of the value criteria definition.
-
LegislationCode: string
Maximum Length:
30Legislation code associated with the definition. -
LegislativeDataGroupName: string
Maximum Length:
240Legislative data group name associated with the definition. -
Name: string
Maximum Length:
120Display name of the value criteria definition. -
RangeEndDate: string
(date)
Range end date for the value criteria definitions.
-
RangeMode: string
Range mode for the value criteria definitions.
-
RangeStartDate: string
(date)
Range start date for the value criteria definitions.
-
ValueCriteriaConditions: array
Values Defined by Criteria Conditions
Title:
Values Defined by Criteria ConditionsThe Value Criteria Conditions resource represents flattened criteria combinations for a given definition. -
ValueGroupName: string
Maximum Length:
120Value group name associated with the definition. -
VbcDefinitionBaseName: string
Maximum Length:
30Base name of the value defined by criteria definition. -
VBCEffectiveDate: string
(date)
Value by criteria effective date for the value criteria definitions.
Nested Schema : Values Defined by Criteria Conditions
Type:
arrayTitle:
Values Defined by Criteria ConditionsThe Value Criteria Conditions resource represents flattened criteria combinations for a given definition.
Show Source
Nested Schema : payLocalizationCriteriaDefinitions-ValueCriteriaConditions-item-patch-request
Type:
Show Source
object-
ConditionHierarchy: string
Maximum Length:
4000Represents the ordered hierarchy of criteria values. -
EffectiveEndDate: string
(date)
Effective end date of the value criteria condition.
-
EffectiveStartDate: string
(date)
Effective start date of the value criteria condition.
-
LegislationCode: string
Maximum Length:
30Legislation code associated with the condition. -
LegislativeDataGroupName: string
Maximum Length:
240Legislative data group name associated with the condition. -
ParentConditionHierarchy: string
Maximum Length:
4000Represents the ordered parent hierarchy of criteria values. -
RangeEndDate: string
(date)
End date applicable for the range within the condition.
-
RangeMode: string
Mode indicating how range values are interpreted.
-
RangeStartDate: string
(date)
Start date applicable for the range within the condition.
-
Sequence: integer
(int64)
Sequence number defining order of conditions.
-
ValueCriteriaRanges: array
Value Defined by Criteria Range Values
Title:
Value Defined by Criteria Range ValuesThe value by criteria ranges resource represents the range values associated with each criteria combination. -
ValueDefnId: integer
Value definition identifier associated with the condition.
-
ValueGroupName: string
Maximum Length:
120Value group name associated with the condition. -
VBCEffectiveDate: string
(date)
Value by criteria effective date for the condition.
Nested Schema : Value Defined by Criteria Range Values
Type:
arrayTitle:
Value Defined by Criteria Range ValuesThe value by criteria ranges resource represents the range values associated with each criteria combination.
Show Source
Nested Schema : payLocalizationCriteriaDefinitions-ValueCriteriaConditions-ValueCriteriaRanges-item-patch-request
Type:
Show Source
object-
EffectiveEndDate: string
(date)
Effective end date of the value criteria range.
-
EffectiveStartDate: string
(date)
Effective start date of the value criteria range.
-
HighValue: number
Upper bound of the range value.
-
LegislationCode: string
Maximum Length:
30Legislation code associated with the range. -
LegislativeDataGroupName: string
Maximum Length:
240Legislative data group name associated with the range. -
LowValue: number
Lower bound of the range value.
-
Name: string
Maximum Length:
120Name of the value criteria range. -
ParentValueDefnId: integer
(int64)
Parent value definition identifier for the range.
-
RangeEndDate: string
(date)
End date applicable for the range.
-
RangeMode: string
Mode indicating how the range is interpreted.
-
RangeStartDate: string
(date)
Start date applicable for the range.
-
ValueGroupName: string
Maximum Length:
120Value group name associated with the range. -
ValueOne: string
Maximum Length:
60Primary value associated with the range. -
ValueThree: string
Maximum Length:
60Tertiary value associated with the range. -
ValueTwo: string
Maximum Length:
60Secondary value associated with the range. -
VBCEffectiveDate: string
(date)
Value by criteria effective date for the range.
Response
Supported Media Types
- application/json
Default Response
The following table describes the default response for this task.
Headers
-
Metadata-Context:
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version:
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Root Schema : payLocalizationCriteriaDefinitions-item-response
Type:
Show Source
object-
BaseName: string
Maximum Length:
120Base name of the value criteria definition. -
CalculationTypeId: integer
(int64)
Calculation type identifier for the value criteria definition.
-
EffectiveEndDate: string
(date)
Effective end date of the value criteria definition.
-
EffectiveStartDate: string
(date)
Effective start date of the value criteria definition.
-
LegislationCode: string
Maximum Length:
30Legislation code associated with the definition. -
LegislativeDataGroupName: string
Maximum Length:
240Legislative data group name associated with the definition. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
Name: string
Maximum Length:
120Display name of the value criteria definition. -
RangeEndDate: string
(date)
Range end date for the value criteria definitions.
-
RangeMode: string
Range mode for the value criteria definitions.
-
RangeStartDate: string
(date)
Range start date for the value criteria definitions.
-
ValueCriteriaConditions: array
Values Defined by Criteria Conditions
Title:
Values Defined by Criteria ConditionsThe Value Criteria Conditions resource represents flattened criteria combinations for a given definition. -
ValueDefnId: integer
(int64)
Unique identifier of the value criteria definition.
-
ValueGroupName: string
Maximum Length:
120Value group name associated with the definition. -
VbcDefinitionBaseName: string
Maximum Length:
30Base name of the value defined by criteria definition. -
VBCEffectiveDate: string
(date)
Value by criteria effective date for the value criteria definitions.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : Values Defined by Criteria Conditions
Type:
arrayTitle:
Values Defined by Criteria ConditionsThe Value Criteria Conditions resource represents flattened criteria combinations for a given definition.
Show Source
Nested Schema : link
Type:
Show Source
object-
href: string
Title:
hyperlink referenceThe URI to the related resource. -
kind: string
Title:
kindAllowed Values:[ "collection", "item", "describe", "other" ]The kind of the related resource. -
name: string
Title:
nameThe name of the link to the related resource. -
properties: object
properties
-
rel: string
Title:
relationAllowed Values:[ "self", "lov", "parent", "canonical", "child", "enclosure", "action", "custom" ]The name of the relation to the resource instance. Example: self.
Nested Schema : properties
Type:
Show Source
object-
changeIndicator: string
Change indicator or the ETag value of the resource instance.
Nested Schema : payLocalizationCriteriaDefinitions-ValueCriteriaConditions-item-response
Type:
Show Source
object-
ConditionHierarchy: string
Maximum Length:
4000Represents the ordered hierarchy of criteria values. -
EffectiveEndDate: string
(date)
Effective end date of the value criteria condition.
-
EffectiveStartDate: string
(date)
Effective start date of the value criteria condition.
-
LeafValueDefnId: integer
Leaf value definition identifier for the condition.
-
LegislationCode: string
Maximum Length:
30Legislation code associated with the condition. -
LegislativeDataGroupName: string
Maximum Length:
240Legislative data group name associated with the condition. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
ParentConditionHierarchy: string
Maximum Length:
4000Represents the ordered parent hierarchy of criteria values. -
RangeEndDate: string
(date)
End date applicable for the range within the condition.
-
RangeMode: string
Mode indicating how range values are interpreted.
-
RangeStartDate: string
(date)
Start date applicable for the range within the condition.
-
RootValueDefnId: integer
Root value definition identifier.
-
Sequence: integer
(int64)
Sequence number defining order of conditions.
-
ValueCriteriaRanges: array
Value Defined by Criteria Range Values
Title:
Value Defined by Criteria Range ValuesThe value by criteria ranges resource represents the range values associated with each criteria combination. -
ValueDefnId: integer
Value definition identifier associated with the condition.
-
ValueGroupName: string
Maximum Length:
120Value group name associated with the condition. -
VBCEffectiveDate: string
(date)
Value by criteria effective date for the condition.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : Value Defined by Criteria Range Values
Type:
arrayTitle:
Value Defined by Criteria Range ValuesThe value by criteria ranges resource represents the range values associated with each criteria combination.
Show Source
Nested Schema : payLocalizationCriteriaDefinitions-ValueCriteriaConditions-ValueCriteriaRanges-item-response
Type:
Show Source
object-
EffectiveEndDate: string
(date)
Effective end date of the value criteria range.
-
EffectiveStartDate: string
(date)
Effective start date of the value criteria range.
-
HighValue: number
Upper bound of the range value.
-
LegislationCode: string
Maximum Length:
30Legislation code associated with the range. -
LegislativeDataGroupName: string
Maximum Length:
240Legislative data group name associated with the range. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
LowValue: number
Lower bound of the range value.
-
Name: string
Maximum Length:
120Name of the value criteria range. -
ParentValueDefnId: integer
(int64)
Parent value definition identifier for the range.
-
RangeDefId: integer
(int64)
Identifier of the range definition.
-
RangeEndDate: string
(date)
End date applicable for the range.
-
RangeMode: string
Mode indicating how the range is interpreted.
-
RangeStartDate: string
(date)
Start date applicable for the range.
-
ValueDefnId: integer
(int64)
Value definition identifier associated with the range.
-
ValueGroupName: string
Maximum Length:
120Value group name associated with the range. -
ValueOne: string
Maximum Length:
60Primary value associated with the range. -
ValueThree: string
Maximum Length:
60Tertiary value associated with the range. -
ValueTwo: string
Maximum Length:
60Secondary value associated with the range. -
VBCEffectiveDate: string
(date)
Value by criteria effective date for the range.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Links
- ValueCriteriaConditions
-
Parameters:
- payLocalizationCriteriaDefinitionsUniqID:
$request.path.payLocalizationCriteriaDefinitionsUniqID
The Value Criteria Conditions resource represents flattened criteria combinations for a given definition. - payLocalizationCriteriaDefinitionsUniqID: